
From: Russell King <rmk+lkml@arm.linux.org.uk>

Russell was unable to correctly migrate this driver to the new
modem-control-signal API because

 TIOCMBIS/TIOCMBIC do not control only the DTR signal, but also the RTS,
 OUT1 and OUT2 signals, or even maybe nothing at all.  Plus, these IOCTLs
 are no longer passed down to the driver.  Instead, drivers should
 implement tiocmget and tiocmset driver methods.

so mark it as broken so as to not break allmodconfig/allyesconfig.



---

 drivers/net/wan/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/wan/Kconfig~pc300_tty-is-broken drivers/net/wan/Kconfig
--- 25/drivers/net/wan/Kconfig~pc300_tty-is-broken	2004-01-18 16:19:28.000000000 -0800
+++ 25-akpm/drivers/net/wan/Kconfig	2004-01-18 16:19:28.000000000 -0800
@@ -382,7 +382,7 @@ config PC300
 
 config PC300_MLPPP
 	bool "Cyclades-PC300 MLPPP support"
-	depends on PC300 && PPP_MULTILINK && PPP_SYNC_TTY && HDLC_PPP
+	depends on PC300 && PPP_MULTILINK && PPP_SYNC_TTY && HDLC_PPP && BROKEN
 	help
 	  Say 'Y' to this option if you are planning to use Multilink PPP over the
 	  PC300 synchronous communication boards.

_
